<p>listaprodutos works!</p>

<ul>
    <li *ngFor="let produto of produtos | async">
        <!--<a routerLink="/produtos/{{produto.id}}">{{produto.id}}</a> - {{produto.nome}}-->
        <a [routerLink]="['/produtos',produto.id]">{{produto.id}}</a> - {{produto.nome}}
    </li>
</ul>

<div *ngIf="mensagemErro !== ''">
    {{mensagemErro}}
</div>